Skip to main content
POST
Create a terraform

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Body

application/json
name
string
required
description
string
required
auto_deploy_config
TerraformAutoDeployConfig · object
required
terraform_files_source
object
required
terraform_variables_source
TerraformVariablesSourceRequest · object
required
backend
object
required

Configuration for Terraform backend - exactly one backend type must be specified

engine
enum<string>
required
Available options:
TERRAFORM,
OPEN_TOFU
provider_version
TerraformProviderVersion · object
required
job_resources
TerraformRequestJobResources · object
required
timeout_sec
integer
icon_uri
string<uri>
use_cluster_credentials
boolean
action_extra_arguments
object

The key represent the action command name i.e: "plan" The value represent the extra arguments to pass to this command

i.e: {"apply", ["-lock=false"]} is going to prepend -lock=false to terraform apply commands

dockerfile_fragment
DockerfileFragmentFile · object

Custom Dockerfile fragment to inject during build. Optional field. When null, no custom fragment is injected.

blueprint_id
string<uuid> | null

The blueprint ID the service has been created from

Response

Create terraform

A Terraform service

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required

name is case insensitive

timeout_sec
integer
default:600
required
Required range: x >= 0
auto_deploy
boolean
required
icon_uri
string<uri>
required

Icon URI representing the terraform service.

service_type
enum<string>
required

type of the service (application, database, job, ...)

Available options:
APPLICATION,
DATABASE,
CONTAINER,
JOB,
HELM,
TERRAFORM,
ARGOCD_APP
terraform_variables_source
TerraformVariablesSourceResponse · object
required
engine
enum<string>
required
Available options:
TERRAFORM,
OPEN_TOFU
backend
object
required

Configuration for Terraform backend - exactly one backend type must be specified

provider_version
TerraformProviderVersion · object
required
job_resources
TerraformJobResourcesResponse · object
required
environment
object
required
use_cluster_credentials
boolean
required
action_extra_arguments
object
required

The key represent the action command name i.e: "plan" The value represent the extra arguments to pass to this command

i.e: {"apply", ["-lock=false"]} is going to prepend -lock=false to terraform apply commands

updated_at
string<date-time>
read-only
description
string
auto_deploy_config
TerraformAutoDeployConfig · object
terraform_files_source
TerraformFilesSource · object
dockerfile_fragment
DockerfileFragmentFile · object

Custom Dockerfile fragment to inject during build. When null, no custom fragment is injected.

blueprint_id
string<uuid> | null

The blueprint ID the service has been created from